Subject: ghc fails to compile packages when installed into profile
From: Anonymous <[email-masked]>
To: [email-masked]
Date: Wed, 11 Jul 2018 22:12:54 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

This bug can be reproduced by doing

     guix package -i ghc
     echo 'main=return()' > test.hs
     ghc test.hs

The expected output is that the program will be compiled, but instead we 
get the error message

     gcc: error trying to exec 'as': execvp: No such file or directory
     `gcc' failed in phase `C Compiler'. (Exit code: 1)

The error is caused, of course, by as not being found in the path. 
Interestingly, though, the error occurs in gcc, which fails to find as. 
The general path for compiling things with gcc is to use gcc-toolchain, 
which brings as and others into the profile, but as ghc calls gcc 
directly (with no gcc-toolchain), ghc fails to actually compile anything.